<?php

namespace App\Http\Middleware;

use Sargilla\Toastr\Facades\Toastr;
use Closure;

class PermisosDeGestion
{
    /**
     * Handle an incoming request.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \Closure  $next
     * @return mixed
     */
    public function handle($request, Closure $next)
    {
       
        if (!auth()::user()->hasPermissionTo('gestion'))
        {
            Toastr::error('No tiene permiso para entrar a esta sección!')->push();
            return back();
        }
        if ($request->is('gestion/paginas'))
        {
            if (!Auth::user()->hasPermissionTo('gestion-paginas'))
            {
                Toastr::error('No tiene permiso para entrar a esta sección!')->push();
                return back();
            } 
            else 
            {
                return $next($request);
            }
        }
        return $next($request);
    }
}
